Image editor
Create or update the workspace OpenPost Image Editor brand kit
PUT
/image-editor/brand-kitAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/image-editor/brand-kit" \ -H "Content-Type: application/json" \ -d '{ "backgrounds": [ "string" ], "colors": [ { "id": "string", "name": "string", "value": "string" } ], "fonts": [ { "family": "string", "media_id": "string", "style": "normal", "weight": 100 } ], "name": "string", "text_styles": [ { "color": "string", "font_family": "string", "font_size": 0.1, "font_style": "string", "font_weight": 0, "id": "string", "letter_spacing": 0.1, "line_height": 0.1, "name": "string" } ], "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ImageEditorBrandKitResponse.json", "backgrounds": [ "string" ], "can_edit": true, "colors": [ { "id": "string", "name": "string", "value": "string" } ], "exists": true, "fonts": [ { "css_family": "string", "family": "string", "id": "string", "license_acknowledged": true, "license_acknowledged_at": "string", "license_acknowledged_by": "string", "media_id": "string", "style": "normal", "weight": 100 } ], "id": "string", "name": "string", "revision": 0, "text_styles": [ { "color": "string", "font_asset_id": "string", "font_family": "string", "font_size": 0.1, "font_style": "string", "font_weight": 0, "id": "string", "letter_spacing": 0.1, "line_height": 0.1, "name": "string" } ], "updated_at": "string", "workspace_id": "string"}